# Constant Field Values

## Contents

- org.apache.*

## org.apache.*

org.apache.commons.lang.ArrayUtils
Modifier and Type
Constant Field
Value
`public static final int`
`INDEX_NOT_FOUND`
`-1`
org.apache.commons.lang.CharEncoding
Modifier and Type
Constant Field
Value
`public static final String`
`ISO_8859_1`
`"ISO-8859-1"`
`public static final String`
`US_ASCII`
`"US-ASCII"`
`public static final String`
`UTF_16`
`"UTF-16"`
`public static final String`
`UTF_16BE`
`"UTF-16BE"`
`public static final String`
`UTF_16LE`
`"UTF-16LE"`
`public static final String`
`UTF_8`
`"UTF-8"`
org.apache.commons.lang.CharUtils
Modifier and Type
Constant Field
Value
`public static final char`
`CR`
`'\r'`
`public static final char`
`LF`
`'\n'`
org.apache.commons.lang.ClassUtils
Modifier and Type
Constant Field
Value
`public static final char`
`INNER_CLASS_SEPARATOR_CHAR`
`'$'`
`public static final char`
`PACKAGE_SEPARATOR_CHAR`
`'.'`
org.apache.commons.lang.StringUtils
Modifier and Type
Constant Field
Value
`public static final String`
`EMPTY`
`""`
`public static final int`
`INDEX_NOT_FOUND`
`-1`

org.apache.commons.lang.text.StrSubstitutor
Modifier and Type
Constant Field
Value
`public static final char`
`DEFAULT_ESCAPE`
`'$'`

org.apache.commons.lang.time.DateUtils
Modifier and Type
Constant Field
Value
`public static final int`
`MILLIS_IN_DAY`
`86400000`
`public static final int`
`MILLIS_IN_HOUR`
`3600000`
`public static final int`
`MILLIS_IN_MINUTE`
`60000`
`public static final int`
`MILLIS_IN_SECOND`
`1000`
`public static final long`
`MILLIS_PER_DAY`
`86400000L`
`public static final long`
`MILLIS_PER_HOUR`
`3600000L`
`public static final long`
`MILLIS_PER_MINUTE`
`60000L`
`public static final long`
`MILLIS_PER_SECOND`
`1000L`
`public static final int`
`RANGE_MONTH_MONDAY`
`6`
`public static final int`
`RANGE_MONTH_SUNDAY`
`5`
`public static final int`
`RANGE_WEEK_CENTER`
`4`
`public static final int`
`RANGE_WEEK_MONDAY`
`2`
`public static final int`
`RANGE_WEEK_RELATIVE`
`3`
`public static final int`
`RANGE_WEEK_SUNDAY`
`1`
`public static final int`
`SEMI_MONTH`
`1001`
org.apache.commons.lang.time.DurationFormatUtils
Modifier and Type
Constant Field
Value
`public static final String`
`ISO_EXTENDED_FORMAT_PATTERN`
`"\'P\'yyyy\'Y\'M\'M\'d\'DT\'H\'H\'m\'M\'s.S\'S\'"`
org.apache.commons.lang.time.FastDateFormat
Modifier and Type
Constant Field
Value
`public static final int`
`FULL`
`0`
`public static final int`
`LONG`
`1`
`public static final int`
`MEDIUM`
`2`
`public static final int`
`SHORT`
`3`